Send invitations via email
curl --request POST \
--url https://console.gmicloud.ai/api/v1/organizations/{orgId}/invitations/email \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"invitees": [
{
"email": "user@example.com",
"role": "org_user"
}
]
}
'import requests
url = "https://console.gmicloud.ai/api/v1/organizations/{orgId}/invitations/email"
payload = { "invitees": [
{
"email": "user@example.com",
"role": "org_user"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({invitees: [{email: 'user@example.com', role: 'org_user'}]})
};
fetch('https://console.gmicloud.ai/api/v1/organizations/{orgId}/invitations/email', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
organizations
Send invitations via email
Allows an organization admin to invite users via email.
POST
/
organizations
/
{orgId}
/
invitations
/
email
Send invitations via email
Authorizations
An access token used to authenticate a user and grant access to restricted APIs. It is issued by session APIs. For status codes related to this header, refer to the Common Headers Documentation.
Path Parameters
The organization's ID.
- Must be a valid UUID.
Example:
"a0eebc99-9c0b-4ef8-bb6d-6bb9bd380a11"
Body
application/json
The invitations request body.
List of invitees' email and role.
Show child attributes
Show child attributes
Response
Successfully sent the invitations.
⌘I